within Simulator.UsersGuide;

class Overview "Overview of OMChemSim Library"
  extends Modelica.Icons.Information;
  annotation(
    Documentation(info = "<html><head></head><body><p style=\"font-size: 12px;\"><br></p><p></p><table border=\"1\" cellspacing=\"0\" cellpadding=\"2\"><caption align=\"bottom\"><br></caption><caption align=\"bottom\"><br></caption><tbody>
<tr><td><a href=\"modelica://Simulator.Files.ChemsepDatabase\">ChemsepDatabase</a></td><td><span style=\"font-size: 12px;\">This library hosts all the components of Chemsep Database along with their thermophysical properties to be used directly in Modelica language.</span></td></tr>
<tr><td><a href=\"modelica://Simulator.Files.ThermodynamicPackages\">ThermodynamicPackages</a></td><td> </td></tr>
<tr><td><a href=\"modelica://Simulator.Files.ThermodynamicFunctions\">ThermodynamicFunctions</a></td><td> </td></tr>
<tr><td><a href=\"modelica://Simulator.Files.Models.ReactionManager\">ReactionManager</a></td><td>Package with functions and reactions used in different reaction systems </td></tr>
<tr><td><a href=\"modelica://Simulator.Streams\">Streams</a></td><td>Models of material stream and energy stream representing the mass and energy flow in the unit operations </td></tr>
<tr><td><a href=\"modelica://Simulator.UnitOperations\">UnitOperations</a></td><td><strong style=\"font-size: 12px;\">UnitOperations</strong><span style=\"font-size: 12px;\">&nbsp;package is a library of chemical process models that is used to signify any physical change or chemical transformation in a chemical process industry. It contain models such as Pumps, Reactors, Distillation Column, Mixer, Heat Exchanger, etc.&nbsp;</span></td></tr>
<tr><td><a href=\"modelica://Simulator.Examples\">Examples</a></td><th> </th></tr>
<tr><td>BinaryPhaseEnvelope</td><th> </th></tr>
<tr><td>GuessModels</td><th> </th></tr>
</tbody></table><p></p></body></html>"));
end Overview;
