package Simulator "OpenModelica Chemical Simulator (OMChemSim) - Version 1.0"

  extends Modelica.Icons.Package;
  import SI = Modelica.SIunits;
  import Cv = Modelica.SIunits.Conversions;

  annotation(
    Documentation(info = "<html>
    <p>
    Package <b>OMChemSim (OpenModelica Chemical Simulator)</b> is a <b>standardized</b> and <b>free</b> package that is developed at FOSSEE, IIT Bombay. It provides model components for steady state chemical process simulation. Some typical examples are shown in the next figure:
<img src=\"modelica://Simulator/Resources/Images/OMChemSimOverview.png\">
    </p>
    <p>
    For an introduction, have especially a look at:
    <ul>
    <li>
    <a href=\"modelica://Simulator.UsersGuide.Overview\">Overview</a> provides an overview of the OMChemSim inside the <a href=\"modelica://Simulator.UsersGuide\">User's Guide</a>.</li>
    <li><a href=\"modelica://Simulator.UsersGuide.ReleaseNotes\">Release Notes</a> summarizes the changes of new versions of this package.</li>
    <li><a href=\"modelica:///Simulator.UsersGuide.Contact\">Contact</a> lists the contributors and contact information for OMChemSim.</li>
    <li>The <strong>Examples</strong>&nbsp;packages in the various libraries, demonstrate how to use the components of the corresponding sublibrary.</li>
    </ul>
    </p>
    <p>
    <b>Licensed by FOSSEE under the 3-Clause BSD License</b>
    <br>Copyright © 2017-2020, FOSSEE.
    </p>
    <p>&nbsp;</p>
    <p>
    <i>This OMChemSim package is&nbsp;<u>free</u>&nbsp;library and the use is completely at&nbsp;<u>your own risk</u>; it can be redistributed and/or modified under the terms of the 3-Clause BSD license. For license conditions (including the disclaimer of warranty) visit&nbsp;<a href=\"https://om.fossee.in/licenses/omchemsim\">https://om.fossee.in/licenses/omchemsim</a>.</i>
    </p>
    </html>"));
end Simulator;
